Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
A Struct Reference

## Data Fields
unsigned long long | a
unsigned char | b
float | a_x
float | a_y
unsigned long | a
double | a
long double | a
unsigned char | a
unsigned long long | b

## Detailed Description

Definition at line 12 of file nested_struct10.c.

## Field Documentation

## ◆ a [1/5]

unsigned long long A::a

Definition at line 13 of file nested_struct10.c.

Referenced by main().

## ◆ a [2/5]

unsigned long A::a

Definition at line 13 of file nested_struct2.c.

## ◆ a [3/5]

unsigned char A::a

Definition at line 13 of file nested_struct9.c.

## ◆ a [4/5]

long double A::a

Definition at line 13 of file nested_struct5.c.

## ◆ a [5/5]

double A::a

Definition at line 13 of file nested_struct4.c.

## ◆ a_x

float A::a_x

Definition at line 14 of file nested_struct11.c.

## ◆ a_y

float A::a_y

Definition at line 15 of file nested_struct11.c.

## ◆ b [1/2]

unsigned char A::b

Definition at line 14 of file nested_struct10.c.

Referenced by main().

## ◆ b [2/2]

unsigned long long A::b

Definition at line 14 of file nested_struct9.c.

The documentation for this struct was generated from the following files:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct10.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct11.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct2.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct3.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct4.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct5.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct6.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct7.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct8.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct9.c